#
# spec file for package python-mistralclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mistralclient
Version:        2.1.1
Release:        1.1
Summary:        Python API and CLI for OpenStack Mistral
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML >= 3.1.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-nose
BuildRequires:  python-openstackclient >= 2.1.0
BuildRequires:  python-osprofiler >= 1.4.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-tempest-lib >= 0.14.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-PyYAML >= 3.1.0
Requires:       python-cliff >= 1.15.0
Requires:       python-keystoneclient >= 2.0.0
Requires:       python-os-client-config >= 1.13.1
Requires:       python-osc-lib >= 1.0.2
Requires:       python-osprofiler >= 1.4.0
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
Client library for Mistral built on the Mistral API. It provides a Python API
(the mistralclient module) and a command-line tool (mistral).

%package doc
Summary:        Documentation for OpenStack Mistral API client libary
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Client library for Mistral built on the Mistral API. It provides a Python API
(the mistralclient module) and a command-line tool (mistral).
This package contains the documentation.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx -b man
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install
#man pages
install -p -D -m 644 build/sphinx/man/mistral_client.1 %{buildroot}%{_mandir}/man1/mistral_client.1

%check
find . -type f -name *.pyc -delete
nosetests mistralclient/tests/unit

%files
%license LICENSE
%{python2_sitelib}/mistralclient
%{python2_sitelib}/*.egg-info
%{_bindir}/mistral
%{_mandir}/man1/mistral_client.1.*

%files doc
%license LICENSE

%changelog
* Thu Oct 13 2016 dmueller@suse.com
- sync with git
* Fri Sep 30 2016 dmueller@suse.com
- update to 2.1.1:
  * Updated from global requirements
  * Updated from global requirements
  * Added ID option to update Action Definition
  * Add error message when OS_USERNAME or OS_PASSWORD not provided
  * Add target-* parameters to python-mistralclient
  * Different formatters for "action-execution-get" and "action-execution-list"
  * Add "Task ID" field for "action-execution-get" command output
  * Remove usage of private '_url' property from OSC
  * Add cancelled state to executions
  * Added 'pip install -r requirements.txt' instruction
  * Updated from global requirements
  * Fixed ssl options for httpclient
  * Changed argument names as per other python clients
  * Change action-get help to get action info by ID
  * Updated from global requirements
  * Add KeyCloak OpenID Connect authentication
  * Updated from global requirements
  * Use osc_lib instead of cliff
  * Use osc-lib instead of openstackclient
  * Updated from global requirements
  * Removed use of tempest_lib and used tempest instead
  * Updated from global requirements
  * Remove .mailmap since it's no longer needed
  * Updated from global requirements
  * Add osprofiler option to trace operations                                                  +* Remove AUTHORS file from git tracking
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements                                                           +* Updated from global requirements
  * Added CONTRIBUTING.rst file
  * Validate ad-hoc action via cli
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Fix task result syntax in workflows used for functional tests
  * Updated from global requirements
  * Fix cacert and insecure options on HTTP requests
  * Change the mistralclient for Mistral action pack
* Mon Sep  5 2016 tbechtold@suse.com
- Initial packaging (version 2.0.0)
